io.etcd.jetcd

## Class Observers

- java.lang.Object
- - io.etcd.jetcd.Observers

    public final class Observers
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Observers.Builder<V>`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> Observers.Builder<T>` `builder()`
`static <T,V> io.grpc.stub.StreamObserver<T>` `observe(Function<io.grpc.stub.StreamObserver<V>,io.grpc.stub.StreamObserver<T>> consumer, Consumer<V> onNext, Consumer<Throwable> onError)`
`static <V> io.grpc.stub.StreamObserver<V>` `observer(Consumer<V> onNext)`
`static <V> io.grpc.stub.StreamObserver<V>` `observer(Consumer<V> onNext, Consumer<Throwable> onError)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### observer

    public static <V> io.grpc.stub.StreamObserver<V> observer(Consumer<V> onNext)

#### observer

    public static <V> io.grpc.stub.StreamObserver<V> observer(Consumer<V> onNext,
                                                              Consumer<Throwable> onError)

#### observe

    public static <T,V> io.grpc.stub.StreamObserver<T> observe(Function<io.grpc.stub.StreamObserver<V>,io.grpc.stub.StreamObserver<T>> consumer,
                                                               Consumer<V> onNext,
                                                               Consumer<Throwable> onError)

#### builder

    public static <T> Observers.Builder<T> builder()